---
layout: docs
page_title: 'Commands: deployment unblock'
description: |
  The deployment unblock command is used to manually unblock a deployment.
---

# Command: deployment unblock

The `deployment unblock` command is used to manually mark a blocked
multiregion deployment as successful. A blocked deployment is a multiregion
deployment within a region that has completed within a region but is waiting
on the other [federated regions]. The `deployment unblock` command can be used
in cases where a failed peer region is unable to communicate its failed
deployment status to other regions to force a deployment to complete.

## Usage

```plaintext
nomad deployment unblock [options] <deployment id>
```

The `deployment unblock` command requires a single argument, a deployment ID or
prefix.

When ACLs are enabled, this command requires a token with the `submit-job`
and `read-job` capabilities for the deployment's namespace.

## General Options

@include 'general_options.mdx'

## Unblock Options

- `-detach`: Return immediately instead of monitoring. A new evaluation ID
  will be output, which can be used to examine the evaluation using the
  [eval status] command.

- `-verbose`: Show full information.

## Examples

Manually mark an ongoing deployment as unblocked. The deployment status shows
an error on the unreachable "east" region.

```shell-session
$ nomad deployment unblock 8990cfbc
Deployment "8990cfbc-28c0-cb28-ca31-856cf691b987" unblocked

==> Monitoring evaluation "a2d97ad5"
    Evaluation triggered by job "example"
    Evaluation within deployment: "8990cfbc"
    Evaluation status changed: "pending" -> "complete"
==> Evaluation "a2d97ad5" finished with status "complete"

$ nomad deployment status 8990cfbc
ID          = 8990cfbc
Job ID      = example
Job Version = 2
Status      = successful
Description = Deployment successful

Multi-region Deployment
Region        ID        Status
west          8990cfbc  successful
south         085787e3  blocked
east (error)  <none>    <none>

Deployed
Task Group  Desired  Placed  Healthy  Unhealthy
cache       3        2       1        0
```

[eval status]: /nomad/docs/commands/eval/status
[federated regions]: /nomad/tutorials/manage-clusters/federation
